#ifndef _dataflash_h_included
#define _dataflash_h_included

// function reads from the dataflash at the offset specified by
// df_page_off and df_in_page_off and moves to the next/previous record
// function assumes that all records have the same length
// if shift=0 increment position
// if shift=1 decrement position
void df_read_flash_to_buff(char *pDest, char len, char shiftleft);
// writes data to DF through buffer 1. Incerements offset counters
// if end of page is reached - next page is erased and page counter is inceremnted
// if end of flash is reached - counters are reset;
// length of the passed data can not exceed the rest space on the page, otherwise the DataFlash will
// automatically start to write exceeding data from the beginning of the page
void df_write_through_buffer1(char* pSrc, char len);

void df_init(void);
void ViewLog(void);
void EraseFirstPage(void);
#endif //_dataflash_h_included
