#ifndef _defines_h_included
#define _defines_h_included

typedef char lcd_str[10];
typedef void (*handler)(void);

/*
	EEPROM memory structure is:
	first 32 are reserved bytes
	168*12 bytes for ACL records = 2016 bytes (srtag)
	2048 Bytes total
*/

#define MAXSR			168		// max number of security records in EEPROM
#define ACL_START 0x20	// offset in EEPROM where ACL starts from

typedef struct srtag
{
	unsigned char type;		// 0 - memory slot is free, 1-Admin, 2-User
	char sid[7];	// iButton ROM without CRC
	long timeLimit;	// time, until when the key is valid
}sr;		// 12 bytes long

typedef struct taglogrecord
{
	char sid[8];
	char access_time[4];
}logrecord; // 12 bytes long

typedef struct memheadtag
{
	long logtimebase;	// start time for log records
	char reserved[28];	// reserved for future extension
}memhead;	//32 bytes long

#endif //_defines_h_included
